<?xml version="1.0" encoding="GBK"?>
<!-- edited with XMLSpy v2008 (http://www.altova.com) by donniewang (qq) -->
<RoomComponentStorageLayout Version="V1.32.20080530">
	<Property ComponentID="1" ObjectID="0x00006001" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomPlayerCollection"/>
	<Property ComponentID="2" ObjectID="0x00006002" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomTableCollection"/>
	<Property ComponentID="3" ObjectID="0x00006004" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomSocialProxy"/>
	<Property ComponentID="4" ObjectID="0x00006003" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomGameProxy"/>
	<Property ComponentID="5" ObjectID="0x00006005" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomItemProxy"/>
	<Property ComponentID="6" ObjectID="0x0000600D" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomCloser"/>
	<Property ComponentID="7" ObjectID="0x00012016" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IGetOtherGameAvatarAdapter"/>
	<Property ComponentID="8" ObjectID="0x0001C003" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomToolBar"/>
	<Property ComponentID="9" ObjectID="0x0000600E" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomRankConfig"/>
	<Property ComponentID="11" ObjectID="0x0000600F" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomGameRedirector"/>
	<Property ComponentID="12" ObjectID="0x0001C02D" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomSysMenu"/>
	<Property ComponentID="13" ObjectID="0x0001201C" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomAdSystem"/>
	<Property ComponentID="14" ObjectID="0x0001200A" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IReplayAdapter"/>
	<Property ComponentID="15" ObjectID="0x000120F2" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IPlayGameHelper"/>
	<Property ComponentID="16" ObjectID="0x00012002" LabraryName="CAAddins\\MGRoom.dll" ComponentName="ILeaveRoomAdapter"/>
	<Property ComponentID="17" ObjectID="0x000120F1" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IGameStartUpHelper"/>
	<Property ComponentID="18" ObjectID="0x00012003" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomEventDispatcher"/>
	<Property ComponentID="19" ObjectID="0x00012005" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IGameMessageDispatcher"/>
	<Property ComponentID="20" ObjectID="0x00012014" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomMessageDispatcher"/>
	<Property ComponentID="21" ObjectID="0x0001201A" LabraryName="CAAddins\\MGRoom.dll" ComponentName="ISocialMessagesDispatcher"/>
	<Property ComponentID="22" ObjectID="0x00012015" LabraryName="CAAddins\\MGRoom.dll" ComponentName="INotifyInviteToPlayAdapter"/>
	<Property ComponentID="23" ObjectID="0x00012004" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IServerNotificationDispatcher"/>
	<Property ComponentID="24" ObjectID="0x000120F3" LabraryName="CAAddins\\MGRoom.dll" ComponentName="ISynchronizeRoomInfoSerializer"/>
	<Property ComponentID="26" ObjectID="0x0001201E" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IGameFeeling"/>
	<Property ComponentID="27" ObjectID="0x0001201F" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomAntiBotProxy"/>
	<Property ComponentID="28" ObjectID="0x00012024" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomChangePlayerName"/>
	<Property ComponentID="29" ObjectID="0x00012025" LabraryName="CAAddins\\MGRoom.dll" ComponentName="INewSystemMessageNavigater"/>
	<Property ComponentID="30" ObjectID="0x00012026" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IBubbleMessageController"/>
	<Property ComponentID="31" ObjectID="0x00012027" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IScrollInGameMessageController"/>
	<Property ComponentID="32" ObjectID="0x00006006" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomChat"/>
	<Property ComponentID="33" ObjectID="0x00012029" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IWorldBugleController"/>
	<Property ComponentID="34" ObjectID="0x0001202B" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IGetOtherRegionInfoAdapter"/>
	<Property ComponentID="35" ObjectID="0x0001202C" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRegionInfoReceiver"/>
	<Property ComponentID="36" ObjectID="0x0001202D" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomPlayerExtendInfoRetriver"/>
	<Property ComponentID="37" ObjectID="0x0001C016" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomToolBarJoinMenu"/>	
	<Property ComponentID="38" ObjectID="0x0001C009" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomContextMenu"/>	
	<Property ComponentID="39" ObjectID="0x00012028" LabraryName="CAAddins\\MGRoom.dll" ComponentName="INewSystemMessageController"/>
	<Property ComponentID="40" ObjectID="0x0001200C" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoomSettingAdapter"/>
	<Property ComponentID="41" ObjectID="0x0001201B" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IRoom361VIPInfoAdapter"/>
	<Property ComponentID="42" ObjectID="0x00012010" LabraryName="CAAddins\\MGRoom.dll" ComponentName="ISpectatorChatFilter"/>	
	<Property ComponentID="43" ObjectID="0x00012012" LabraryName="CAAddins\\MGRoom.dll" ComponentName="ITestConnectionAdapter"/>
	<Property ComponentID="44" ObjectID="0x000120F6" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IKickOutOfRoomAdapter"/>
	<Property ComponentID="45" ObjectID="0x00012057" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IGameMissionInfoProvider"/>
	<Property ComponentID="46" ObjectID="0x00012058" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IFetchPersonDataAdapter"/>
	<Property ComponentID="47" ObjectID="0x00012059" LabraryName="CAAddins\\MGRoom.dll" ComponentName="IAchievementPanelDataProvider"/>
</RoomComponentStorageLayout>
